/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 

.CodeMirror {
    //border: 1px solid $input-border;
    //height: $lineHeight * $rowsNumber;
    border: 0px !important;
    box-shadow: none;
    height: auto;
}

.form-group.has-error .CodeMirror {
    border: 1px solid red;
}

.CodeMirror-focused {
    //border-color: $brand-primary !important;
    //box-shadow: none;
}

.CodeMirror-wrap {
    padding: 0;
}

/**
* data-codemirror
**/

[data-codemirror] {
    .CodeMirror {
        font-size: 13px;
        line-height: 1.2em;
    }
}

/**
* YASQE
**/
.yasqe {
    .yasqe_buttons {
        display: none;
    }
    .CodeMirror {
        height: auto;
        .CodeMirror-scroll {
            min-height: 300px;
        }
    }
}

.CodeMirror-hints {
    z-index: 999;
}